IRPCObjectOperations.GetRemoteRelationshipSourceInfo

View as Markdown

Vault API / core read session or assertion idempotent returns metadata structure version

Gets what another vault needs to create a stub of this object, or to find a matching object. Used by replication and cross-vault relationships; not for applications.

ServiceObjects, versions, properties and files MFiles.IRPCObjectOperations
gRPC method/MFiles.IRPCObjectOperations/GetRemoteRelationshipSourceInfo
HTTP (mf-http-grpc)POST /grpc/v1/get-remote-relationship-source-info
RequestGetRemoteRelationshipSourceInfoRequest
ResponseGetRemoteRelationshipSourceInfoResponse
Book and levelVault API, core
Kindread
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentyes
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Request: GetRemoteRelationshipSourceInfoRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
partial_dataRemoteRelationshipInfoPartially filled information about the object. The JSON represents RemoteRelationshipInfo structure.
partial_data.object_guidstringObject GUID.
partial_data.vault_guidstringObject vault GUID.
partial_data.obj_idObjIDObj ID. May identify the unmanaged object in the remote vault.
partial_data.obj_id.typeint32The object type ID, for example 0 for documents. In a lookup value, the value list ID (for a lookup to objects, the object type ID).
partial_data.obj_id.item_idItemIDThe ID of the object within its type, in item_id.internal_id.
partial_data.object_type_namestringObject type name.
partial_data.object_aliasesstringObject type semantic aliases.
partial_data.object_class_idint32Class ID.
partial_data.object_class_namestringClass name.
partial_data.object_class_aliasesstringClass semantic aliases.
partial_data.object_external_idstringExternal ID of the object.
partial_data.object_type_guidstringObject type GUID.
partial_data.object_class_guidstringClass GUID.

Response: GetRemoteRelationshipSourceInfoResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
filled_dataRemoteRelationshipInfoReceives info about the object for creating relationship to another vault. The JSON represents RemoteRelationshipInfo structure.
filled_data.object_guidstringObject GUID.
filled_data.vault_guidstringObject vault GUID.
filled_data.obj_idObjIDObj ID. May identify the unmanaged object in the remote vault.
filled_data.obj_id.typeint32The object type ID, for example 0 for documents. In a lookup value, the value list ID (for a lookup to objects, the object type ID).
filled_data.obj_id.item_idItemIDThe ID of the object within its type, in item_id.internal_id.
filled_data.object_type_namestringObject type name.
filled_data.object_aliasesstringObject type semantic aliases.
filled_data.object_class_idint32Class ID.
filled_data.object_class_namestringClass name.
filled_data.object_class_aliasesstringClass semantic aliases.
filled_data.object_external_idstringExternal ID of the object.
filled_data.object_type_guidstringObject type GUID.
filled_data.object_class_guidstringClass GUID.